# $Revision: 1.4 $, $Date: 2004/03/24 10:31:09 $
Summary:	Open Text Summarizer
Summary(pl):	Otwarte narzdzie do streszczania tekstu
Name:		ots
Version:	0.4.2
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/libots/%{name}-%{version}.tar.gz
# Source0-md5:	bb02a56a3bf2d5ebf9ffd064992d0ae4
Patch0:		%{name}-docs.patch
URL:		http://libots.sourceforge.net/
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gtk-doc >= 0.9
BuildRequires:	libxml2-devel >= 2.4.23
BuildRequires:	pkgconfig
BuildRequires:	popt-devel >= 1.5
Requires:	glib2 >= 2.0
Requires:	libxml2 >= 2.4.23
Requires:	popt >= 1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The open text summarizer is an open source tool for summarizing texts.
The program reads a text and decides which sentences are important and
which are not.

The program can either print the summarized text in text format or in
HTML form where the important sentences are highlighted in red. The
program is multi lingual and work with UTF-8 code; at the moment only
English and Hebrew are supported.

%description -l pl
OTS (Open Text Summarizer) to wolnodostpne narzdzie do streszczania
tekstw. Program czyta tekst i decyduje, ktre zdania s wane, a
ktre nie.

Program moe wypisa streszczenie w formacie tekstowym lub w postaci
HTML, gdzie wane zdania s oznaczone na czerwono. Program jest
wielojzyczny i dziaa z kodem UTF-8; aktualnie obsugiwane s tylko
angielski i hebrajski.

%package devel
Summary:	Header files for ots library
Summary(pl):	Pliki nagwkowe biblioteki ots
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 2.0
Requires:	gtk-doc-common
Requires:	libxml2-devel >= 2.4.23

%description devel
Header files for ots library.

%description devel -l pl
Pliki nagwkowe biblioteki ots.

%package static
Summary:	Static ots library
Summary(pl):	Statyczna biblioteka ots
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ots library.

%description static -l pl
Statyczna biblioteka ots.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}/libots

# hack for proper linking - remove when in sources
%{__make} \
	libots_1_la_LIBADD="\$(OTS_LIBS)"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/ots
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_datadir}/%{name}
%{_mandir}/man1/ots.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/libots*
%{_pkgconfigdir}/*.pc
%{_gtkdocdir}/libots

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ots.spec,v $
Revision 1.4  2004/03/24 10:31:09  andree
- refresh config.sub

Revision 1.3  2004/03/12 17:04:11  grzegol
- added docs patch (fix docs building)
- strict internal deps

Revision 1.2  2003/12/12 20:40:01  eothane
- updated to 0.4.2

Revision 1.1  2003/10/30 21:38:40  qboosh
- new

